Package org.opensaml.soap.wstrust

# Interface Claims

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `WSTrustObject`, `XMLObject`

All Known Implementing Classes:
  `ClaimsImpl`

public interface Claims extends AttributeExtensibleXMLObject, ElementExtensibleXMLObject, WSTrustObject
The wst:Claims element.

See Also:
  - "WS-Trust 1.3, Chapter 4.1 Requesting a Security Token."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DIALECT_ATTRIB_NAME`
The wst:Claims/@Dialect attribute local name.
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDialect()`
Returns the wst:Claims/@Dialect attribute value.
`void`
`setDialect(String dialect)`
Sets the wst:Claims/@Dialect attribute value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### DIALECT_ATTRIB_NAME

@Nonnull @NotEmpty static final String DIALECT_ATTRIB_NAME
The wst:Claims/@Dialect attribute local name.

See Also:
  - Constant Field Values

## Method Details

### getDialect

@Nullable String getDialect()
Returns the wst:Claims/@Dialect attribute value.

Returns:
  the Dialect attribute value

### setDialect

void setDialect(@Nullable String dialect)
Sets the wst:Claims/@Dialect attribute value.

Parameters:
  `dialect` - the Dialect attribute value.